This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 219192 - LSPP: RHEL5 RC2 1201 MLS Policy Contains Mutiple Quota Fcontext Specs
LSPP: RHEL5 RC2 1201 MLS Policy Contains Mutiple Quota Fcontext Specs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-11 15:29 EST by George C. Wilson
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0544
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 11:37:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description George C. Wilson 2006-12-11 15:29:12 EST
Description of problem:

Whenever semage is invoked, this error message is emitted:

/etc/selinux/mls/contexts/files/file_contexts: Multiple same specifications for
/a?quota\.(user|group).

Version-Release number of selected component (if applicable):

selinux-policy-mls-2.4.6-3.el5

How reproducible:

Invoke semanage in a way that causes it to manipulate the policy.  For example,

[root@hvracer2 ~]# semanage fcontext --add -t bin_t /usr/local/bin/blah
/etc/selinux/mls/contexts/files/file_contexts: Multiple same specifications for
/a?quota\.(user|group).

Steps to Reproduce:
1. Load RHEL5 RC Snap 2 20061201 w/MLS policy on a System p LPAR.
2. Invoke semanage to manipulate the policy as described above.
3. See the warning emitted.
  
Actual results:

A warning about the MLS policy is emitted.

Expected results:

Silent success.

Additional info:
Comment 1 Daniel Walsh 2006-12-11 15:38:00 EST
Problem does not exists in selinux-policy-mls-2.4.6-9.el5
Comment 2 George C. Wilson 2006-12-11 15:43:49 EST
OK, I'll give it a shot and tell my team to move up.
Comment 3 Linda Knippers 2006-12-11 15:49:53 EST
I saw that problem too but the newer policy seems to fix it.
Comment 4 George C. Wilson 2006-12-12 14:23:53 EST
I just installed selinux-policy-mls-2.4.6-9.el5 from your people page, Dan. I
still get the same behavior. I relabeled and everything. This is on ppc64. Mike
saw the same thing on x86_64. Should I try the rawhide policy?
Comment 5 Daniel Walsh 2006-12-12 14:52:51 EST
Are you sure your update was successful?  I am not seeing this here. And I know
this has been fixed
Comment 7 RHEL Product and Program Management 2007-05-01 13:36:51 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 12 errata-xmlrpc 2007-11-07 11:37:56 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0544.html

Note You need to log in before you can comment on or make changes to this bug.